<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

  


  
  
  
  class MenuEinstellTool8 extends MenuEinstell
  {
    public $file = 'writecolumnstool8.php';

    
    protected function _getSights()
    {
      $result = array();

      $sightIds = array(
           26 => 'Kursübersicht',
           27 => 'Reiter Kursdetails',
           28 => 'Reiter Termine',
           29 => 'Reiter Honorar (Dozenten)',
          242 => 'Reiter Teilnehmer',
          243 => 'Druck der Teilnehmerlisten',
          245 => 'Reiter Dozenten',
          374 => 'Reiter Inhalt',
          375 => 'Reiter Downloads',
          376 => 'Reiter Fotos',
          377 => 'Reiter zu einem Kurs',
          378 => 'Termine bearbeiten',
          379 => 'Dozentendetails',
          380 => 'Anwesenheitskontrolle',
          432 => 'Kurs bearbeiten',
          458 => 'Belegung bearbeiten'
          );

      foreach ($sightIds as $sightId => $description) {
        $result[] = $this->_createSightObj($sightId, \ToolsAPI::TOOL_KURSPLANUNG_MA, $description);
      }

      return $result;
    }

    public function mainmenu($pEinstieg, $editid, $p_sightid)
    {
      
      if ($pEinstieg == 1) {
        $this->getUebersichtEinstell(SessionOperations::getVarValueIntern('menutext'));
      } else { 

        echo"
        <table border='0' cellpadding='0' cellspacing='5' height='100%' width='100%'>
          <tr>
            <td valign='top' width='100%' height='5%'>
              <p align='right'><font id='text_basys_webtools'>" . KUFERTOOLS . '</font></p>
            </td>
          </tr>
        </table>
        ';

        $curr_caption = $this->_getSightDescription($p_sightid);

        switch ($p_sightid) {
          case 26: 

            

            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_KURSPLANUNG_MA);


            echo '<h2>Einstellungen zum Tool "Kurse für Mitarbeiter" - Kursübersicht</h2>';
            echo $this->getStandardEinstellFormHeader(\ToolsAPI::TOOL_KURSPLANUNG_MA, 'uebersicht_mitarbeiter', $p_sightid);

            
            $arycheck = $this->getArrayCheck4Kurse($objsettings);

            echo"
             <table border='0' width='100%'>
              <tr>
                <td width='85%' valign='top' height='19'>
                  <font class='text_main_menu'><b>angezeigte Kurse pro Seite:</b></font>"
                  . HTMLOperations::CreateInputTagPlusMinus('kurseproseite', '', 'bigger-null', $objsettings->kurseproseite, 'size="3"')
                  . BR_WT . BR_WT . '
                </td>
              </tr>';
            echo $this->getKursSortierungSubMenu($arycheck);
            echo"
              <tr>
                <td width='85%' height='19' valign='top'>
                  <font class='text_main_menu'><b>Kurse folgender Semester anzeigen:</b> (es können auch mehrere Semester gewählt werden)</font>" . BR_WT;
                  $tool0Settings = ToolSettingsAPI::getToolSettings(0);
                  $preFilterKurs = $this->getPrefilters4Kurs(false, $tool0Settings, $objsettings);
                  $allgPreFilterKurs = $this->getPrefilters4Kurs(true, $tool0Settings, $objsettings);
            echo $this->getSemester4SingleTool($objsettings->semlist, $tool0Settings->semlist, $objsettings->useAbweichendeSemester, true, $objsettings->keineAusgefallenenKurse, true, $preFilterKurs, $allgPreFilterKurs)
                  . "<img src='images/blind.gif' width='100' height='1'>
                  <input type='hidden' value='" . CleanOperations::cleanStringForHtml($this->gruppe) . "' name='gruppe'>
                </td>
              </tr>
             </table>";
            
            echo BR_WT . BR_WT . "<font class='text_main_menu'><b>"
              . 'Kursberechtigungen für die Mitarbeiter vergeben: </b></font>' . BR_WT . BR_WT . "
              <p>Wenn kein Haken gesetzt ist, bekommt ein Mitarbeiter nur die Kurse angezeigt, bei denen er als planender Mitarbeiter eingetragen ist.</p>
              <font class='text_main_menu'>Nur Kurse der Au&szlig;enstelle des Mitarbeiters anzeigen:</font>"
               . $this->getInfoPopup('Wenn dieser Haken gesetzt ist, werden nur Kurse angezeigt, die die gleiche Außenstelle '
               . 'wie der Mitarbeiter haben. \\n\\nWenn nur dieser Haken gesetzt ist, werden also die Kurse angezeigt, '
               . 'bei denen der Mitarbeiter als planend eingetragen ist, und die in der Außenstelle des Mitarbeiters stattfinden.\\n'
               . 'Wenn dieser Haken und der bei den Bereichsrechten gesetzt sind, so wird die Außenstelle des Mitarbeiters zusätzlich '
               . 'zu den Bereichsrechten geprüft.', 'Erkl&auml;rung')
              . "<input type='checkbox' name='sameAussenst' value='true' "
                . ($objsettings->sameAussenst == true ? 'checked' : '') . '>' . BR_WT;

            
            echo "<font class='text_main_menu'>Bereichsrechte für die Kursauswahl benutzen:</font>"

            . $this->getInfoPopup('Wenn dieser Haken gesetzt ist, werden nur die Kurse angezeigt, für die die Bereichsrechte gelten, \\ndie in '
                    . 'KuferSQL in der Benutzerverwaltung unter dem Reiter Bereichsrechte gesetzt wurden. \\n(Zum Beispiel Kurse, die in einem '
                    . 'bestimmten Kursnummernbereich liegen, oder zu einer bestimmten Außenstelle gehören.) \\n\\n'
                    . 'Es wird aber nicht mehr geprüft, ob der Mitarbeiter im Kurs als planend eingetragen ist.', 'Erkl&auml;rung zur Nutzung der Bereichsrechte.')
              . "<input type='checkbox' name='useBereichsRechte' value='true' "
              . ($objsettings->useBereichsRechte == true ? 'checked' : '') . '>' . BR_WT . BR_WT;

            echo "
              <input type='image' title='Speichern' src='layout/button_save.gif' border='0'>
              </form>";

            echo '<hr><h2>Layout-Einstellungen zum Tool "Kurse für Mitarbeiter" - Kursübersicht </h2>';

            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 790, 80));

            break;

          case 27: 
              echo '<h2>Einstellungen für die Anzeige des Kurses</h2>';

            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 771, 375));
            break;

          case 28: 
            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_KURSPLANUNG_MA, $p_sightid, $this->file); 
            $this->mainmenuCenter(\ToolsAPI::TOOL_KURSPLANUNG_MA, $editid, $p_sightid, $this->file);     
           
           $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_KURSPLANUNG_MA);

            $this->file = 'writecolumnstool8.php';
            
            
            $defaultStatus = '';
            $this->showSelectionForm(
              'kt',
              \ToolsAPI::TOOL_KURSPLANUNG_MA,
              $p_sightid,
              $this->file,
              $objsettings,
              $objsettings->sortktasc,
              $objsettings->ktstatus,
              $defaultStatus,
              $objsettings->colorktstatus,
              'kt.datum'
            );
            break;

          case 29: 

            $allgsettings = AllgSettingsAPI::getAllgSettings();
            if (SessionOperations::isReplikat() && !$allgsettings->dmzEnabled) {
              $message = $this->getDMZHinweis4DozHon();
              echo $this->getHinweis4DMZ($message['messageComplete'], $message['messageShort']);
            }

            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_KURSPLANUNG_MA, $p_sightid, $this->file); 
            $this->mainmenuCenter(\ToolsAPI::TOOL_KURSPLANUNG_MA, $editid, $p_sightid, $this->file);     

            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_KURSPLANUNG_MA);

            
            $arycheck = $this->getArrayCheck4Personen($objsettings, 'doz');

            echo BR_WT . '
              <form action="writecolumnstool8.php" method="POST">
                <input type="hidden" value="doz_honorar" name="art">
                <input type="hidden" value="8" name="tool">
                <input type="hidden" value="' . CleanOperations::cleanInt($p_sightid) . '" name="sightid">
                <input type="hidden" value="' . CleanOperations::cleanStringForHtml($this->gruppe) . '" name="gruppe">
                <div class="bold">Hinweis: Die Sortierungseinstellung ändert auch die unter Reiter Dozenten</div>' . BR_WT
                . $this->getPersonSortierungSubMenu($arycheck, 'doz')
                . '<div class="SpeicherButtonDiv">' . HTMLOperations::CreateSubmitButton('layout/button_save.gif', '', 'Speichern', 2, '') . '
                </div>
              </form>';
            break;

          case 242: 
            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_KURSPLANUNG_MA, $p_sightid, $this->file); 
            $this->mainmenuCenter(\ToolsAPI::TOOL_KURSPLANUNG_MA, $editid, $p_sightid, $this->file);     
           
            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_KURSPLANUNG_MA);

            
            
            
            $defaultStatus = '';
            $this->showSelectionForm(
              'tn',
              \ToolsAPI::TOOL_KURSPLANUNG_MA,
              $p_sightid,
              $this->file,
              $objsettings,
              $objsettings->sorttnasc,
              $objsettings->tnstatus,
              $defaultStatus,
              $objsettings->colortnstatus,
              array('t.name', 'b.anm_datum'),
              true,
              false
            );


            echo $this->getMeldeSettings(
              $objsettings->meldeBenachrichtigungsMailAnVerwMa == true,
              $objsettings->meldeImmerBenachrichtigungsMail == true,
              $objsettings->weitermeldenKursAuswaehlen == true
            );

            $vhsEmailTool = EmailOperations::getVarName4ToolEmailSetting(\ToolsAPI::TOOL_KURSPLANUNG_MA, $p_sightid);
            echo '<tr>'
                   . '<td colspan="2">'
                      . $this->createTextFieldForEmailAddress($vhsEmailTool, $objsettings->{$vhsEmailTool}, true, '', 'Ziel-E-Mail-Adresse für Um-/Weitermelden und Stornierungen:')
                   . '</td>'
                 . '</tr>';

            
            echo  '<tr>'
                    . '<td>'
                      . '<label for="sendMail2Ma" class="text_main_menu bold">Kopie von E-Mails an Teilnehmer auch an den Mitarbeiter versenden:</label>'
                      . $this->getInfoPopUp('Beim Versenden von Sammel E-Mails an die Teilnehmer wird damit zusätzlich eine Nachricht an die '
                      . ' E-Mail Adresse des Mitarbeiters gesendet.', 'Info')
                    . '</td>'
                    . '<td>'
                      . HTMLOperations::CreateInputTag('sendMail2Ma', 'checkbox', 'sendMail2Ma', '', '1', '', $objsettings->sendMail2Ma)
                    . '</td>'
                  . '</tr>';

            
            echo $this->getNachlassSettings($objsettings->writeNachlassGrund2IntBemerkung == true);

            
            echo $this->getAutoStornoOhneMinTNanzahlPruefen($objsettings->stornoMinTNanzahlPruefen, true);

            
            echo $this->getStornoInfo($p_sightid);

            echo $this->getMitveranstalterSettings($objsettings);

            
            $this->closeFormLeft();
            break;
          case 243: 

            $tnlisten = new TNListen('hleinstell.php?sightid=' . $p_sightid . '&tool=' . \ToolsAPI::TOOL_KURSPLANUNG_MA, \ToolsAPI::TOOL_KURSPLANUNG_MA, $p_sightid, true);
            $tnlisten->show();
            break;

          case 245: 
            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_KURSPLANUNG_MA, $p_sightid, $this->file);
            $this->mainmenuCenter(\ToolsAPI::TOOL_KURSPLANUNG_MA, $editid, $p_sightid, $this->file);

            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_KURSPLANUNG_MA);
            $listeAnDoz = array('antwortboxen' => '', 'einzeilig' => '', 'anwesenheitsliste' => '', 'telefonFaxEMail' => '', 'kindern' => '', 'weitermeldeliste' => '');

           if ($objsettings->pdf_liste_an_doz == 'antwortboxen') {
             $listeAnDoz['antwortboxen'] = 'checked="checked"';
           } elseif ($objsettings->pdf_liste_an_doz == 'einzeilig') {
             $listeAnDoz['einzeilig'] = 'checked="checked"';
           } elseif ($objsettings->pdf_liste_an_doz == 'anwesenheitsliste') {
             $listeAnDoz['anwesenheitsliste'] = 'checked="checked"';
           } elseif ($objsettings->pdf_liste_an_doz == 'telefonFaxEMail') {
             $listeAnDoz['telefonFaxEMail'] = 'checked="checked"';
           } elseif ($objsettings->pdf_liste_an_doz == 'kindern') {
             $listeAnDoz['kindern'] = 'checked="checked"';
           } elseif ($objsettings->pdf_liste_an_doz == 'weitermeldeliste') {
             $listeAnDoz['weitermeldeliste'] = 'checked="checked"';
           }
            
            $arycheck = $this->getArrayCheck4Personen($objsettings, 'doz');

            echo BR_WT . '
            <form action="writecolumnstool8.php" method="POST">
              <input type="hidden" value="doz_honorar" name="art">
              <input type="hidden" value="8" name="tool">
              <input type="hidden" value="' . CleanOperations::cleanInt($p_sightid) . '" name="sightid">
              <input type="hidden" value="' . CleanOperations::cleanStringForHtml($this->gruppe) . '" name="gruppe">
              <div class="bold">Hinweis: Die Sortierungseinstellung ändert auch die unter Reiter Honorar (Dozenten)</div>' . BR_WT
              . $this->getPersonSortierungSubMenu($arycheck, 'doz') . '
              <table border="0" width="100%">
               <tbody>
                <tr>
                  <td colspan="2" valign="top" height="19">' . BR_WT . '
                    <font class="text_main_menu"><b>Folgende PDF-Liste kann bei Sammel-E-Mails an Dozenten versandt werden:</b></font>
                  </td>
               </tr>
               <tr>
                 <td width="220">
                  <label for="pdfListeAnDozTnListeEinzeilig">Teilnehmerliste einzeilig</label>
                 </td>
                 <td>
                   <input type="radio" id="pdfListeAnDozTnListeEinzeilig" name="pdfListeAnDoz" value="einzeilig" ' . $listeAnDoz['einzeilig'] . '>
                 </td>
               </tr>
               <tr>
                 <td width="220">
                  <label for="pdfListeAnDozAnwesenheitslistemitKurstagen">Anwesenheitsliste mit Kurstagen</label>
                 </td>
                 <td>
                   <input type="radio" id="pdfListeAnDozAnwesenheitslistemitKurstagen" name="pdfListeAnDoz" value="anwesenheitsliste" ' . $listeAnDoz['anwesenheitsliste'] . '>
                 </td>
               </tr>
               <tr>
                 <td width="220">
                  <label for="pdfListeAnDozListemitTeleFaxundEMail">Liste mit Telefon, Fax und E-Mail</label>
                 </td>
                 <td>
                   <input type="radio" id="pdfListeAnDozListemitTeleFaxundEMail" name="pdfListeAnDoz" value="telefonFaxEMail" ' . $listeAnDoz['telefonFaxEMail'] . '>
                 </td>
               </tr>
               <tr>
                 <td width="220">
                  <label for="pdfListeAnDozAnwesenheitslistemitKindern">Anwesenheitsliste mit Kindern</label>
                 </td>
                 <td>
                   <input type="radio" id="pdfListeAnDozAnwesenheitslistemitKindern" name="pdfListeAnDoz" value="kindern" ' . $listeAnDoz['kindern'] . '>
                 </td>
               </tr>
               <tr>
                 <td width="220">
                  <label for="pdfListeAnDozWeitermeldeliste">Weitermeldeliste</label>
                 </td>
                 <td>
                   <input type="radio" id="pdfListeAnDozWeitermeldeliste" name="pdfListeAnDoz" value="weitermeldeliste" ' . $listeAnDoz['weitermeldeliste'] . '>
                 </td>
               </tr>
               <tr>
                 <td>
                   <label for="pdfListeAnDozListeMitAntwortboxen">Liste mit Antwortboxen und E-Mail</label>
                 </td>
                 <td>
                   <input type="radio" id="pdfListeAnDozListeMitAntwortboxen" name="pdfListeAnDoz" value="antwortboxen" ' . $listeAnDoz['antwortboxen'] . '>
                 </td>
              </tr>
              </tbody>
             </table>
             <div class="SpeicherButtonDiv">' . HTMLOperations::CreateSubmitButton('layout/button_save.gif', '', 'Speichern', 2, '') . '
             </div>
            </form>';
            break;

          case 374: 
            echo $this->getSettings4ReiterInhalt(\ToolsAPI::TOOL_KURSPLANUNG_MA, $p_sightid);
            break;
          case 375: 
              
              
            echo '<h2>Einstellungen für die Anzeige der Downloads</h2>' . BR_WT;
            $allgsettings = AllgSettingsAPI::getAllgSettings();
            if (SessionOperations::isReplikat() && !$allgsettings->dmzEnabled) {
              $message = $this->getDMZHinweis4DokuDownload();
              echo $this->getHinweis4DMZ($message['messageComplete'], $message['messageShort'], true);
            }
            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 750, 100));
            break;

          case 376: 
            echo $this->noSettingsWithText(
              'Für die Ausgabe der Fotos sind derzeit keine Einstellungen möglich. '
            );
            break;
          case 377: 
            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_KURSPLANUNG_MA);
            echo $this->getSettings4ReiterSeite(\ToolsAPI::TOOL_KURSPLANUNG_MA, $p_sightid, 'reiter_seite', $objsettings->reiterBeschriftung, '', null, false, true);
            break;

          case 378: 
            echo '<h2>Einstellungen für die Anzeige des zu bearbeitenden Termins zum Kurs</h2>';

            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 800, 450));
            
            

            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_KURSPLANUNG_MA);

            $hl_faecher_checked = ($objsettings->hl_faecher) ? 'checked="checked"' : '';
            $hl_info_felder_checked = ($objsettings->hl_info_felder) ? 'checked="checked"' : '';
            $hl_raum_checked = ($objsettings->hl_raum) ? 'checked="checked"' : '';
            echo '<div style="position:absolute; top: 970px;">' . "\n";
            echo'
            <form action="writecolumnstool8.php" method="POST">' . "\n"
             . '<input type="hidden" value="Show_Kt_Bearb" name="art">' . "\n"
             . '<input type="hidden" value="8" name="tool">' . "\n"
             . '<input type="hidden" value="' . CleanOperations::cleanInt($p_sightid) . '" name="sightid">' . "\n"
             . '<table border="0" width="100%">' . "\n"
              . '<tr>
                <td width="85%" valign="top" height="19">
                  <font class="text_main_menu"><b>Für das Feld Bemerkung/Lehrinhalt</b></font>' . BR_WT . BR_WT . '
                  <font class="text_main_menu">den Hinterlegungsbutton für Fächer anzeigen:</font>
                  <input type="checkbox" name="hl_faecher" ' . $hl_faecher_checked . '>' . BR_WT . '
                  <font class="text_main_menu">den Hinterlegungsbutton für Info-Felder anzeigen:</font>
                  <input type="checkbox" name="hl_info_felder" ' . $hl_info_felder_checked . '>' . BR_WT . BR_WT . '
                </td>
              </tr>' . "\n"
              
              . '<tr>
                <td width="85%" valign="top" height="19">
                  <font class="text_main_menu"><b>Für das Feld Kursort</b></font>' . BR_WT . BR_WT . '
                  <font class="text_main_menu">den Hinterlegungsbutton zu den Räumen anzeigen:</font>
                  <input type="checkbox" name="hl_raum" ' . $hl_raum_checked . '>' . BR_WT . BR_WT . '
                </td>
              </tr>' . "\n"
              
              . '<tr>
                <td width="85%" valign="top" height="19">
                  <font class="text_main_menu"><b>Weitere Medien anfordern</b></font>' . BR_WT . '
                  <font class="text_main_menu">E-Mail bei der Anforderung von Medien an den verwaltenden Mitarbeiter des Kurses versenden:</font>
                  <input value="1" type="checkbox" name="medienMailAnVerwMa" ' . ($objsettings->medienMailAnVerwMa ? ' checked' : '') . '>' . $this->getInfoPopUp(
                'Ansonsten, bzw. wenn dieser nicht gesetzt ist, erfolgt der Versand an die E-Mail Adresse der Schulungseinrichtung.',
                'Info'
              )
                . '</td>
              </tr>' . "\n"
              . '<tr>
                <td width="85%" height="19" valign="top">
                  <input type="hidden" value="' . CleanOperations::cleanStringForHtml($this->gruppe) . '" name="gruppe">
                  <input type="image" title="Speichern" src="layout/button_save.gif" border="0">' . BR_WT . BR_WT . BR_WT . '
                </td>
              </tr>
             </table>
            </form>' . "\n";
            echo '</div>' . "\n";
            break;

          
          
          case 379: 
            echo '<h2>Einstellungen für die Anzeige des Dozenten</h2>';
            $allgsettings = AllgSettingsAPI::getAllgSettings();
            if (SessionOperations::isReplikat() && !$allgsettings->dmzEnabled) {
              $message = $this->getDMZHinweis4Dozent();
              echo $this->getHinweis4DMZ($message['messageComplete'], $message['messageShort']);
            }
            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 780, 450));
            break;


          case 380: 
            $toolEinstAllg = new ToolEinstellAllg();
            
            $toolEinstAllg->createEinstellForm4Anwesenheiten(\ToolsAPI::TOOL_KURSPLANUNG_MA, $p_sightid);
            break;

          case 432: 
            echo '<h2>Einstellungen für die Anzeige der Kursdetails im Tool Kurse Mitarbeiter</h2>';

            echo '<p>Diese Einstellungen sind relevant für den Dialog zum Bearbeiten von Kursdaten.</p>' . BR;
            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 771, 375));
            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_KURSPLANUNG_MA);
            $checked = ($objsettings->kurse_hl_raum) ? 'checked="checked"' : '';

            echo  '<div style="position:absolute; top: 970px;">
                    <form action="writecolumnstool8.php" method="POST">' . "\n"
                      . '<input type="hidden" value="kurs_bearbeiten" name="art">' . "\n"
                      . '<input type="hidden" value="8" name="tool">' . "\n"
                      . '<input type="hidden" value="' . CleanOperations::cleanInt($p_sightid) . '" name="sightid">' . "\n"
                      . '<table border="0" width="100%">
                        <tr>
                          <td width="85%" valign="top" height="19">
                            <font class="text_main_menu"><b>Für das Feld Kursort</b></font>' . BR_WT . BR_WT . '
                            <font class="text_main_menu">den Hinterlegungsbutton zu den Räumen anzeigen:</font>
                            <input type="checkbox" name="kurse_hl_raum" ' . $checked . '>' . BR_WT . BR_WT . '
                          </td>
                        </tr>
                        <tr>
                          <td width="85%" height="19" valign="top">
                            <input type="hidden" value="' . CleanOperations::cleanInt($this->gruppe) . '" name="gruppe">
                            <input type="image" title="Speichern" src="layout/button_save.gif" border="0">' . BR_WT . BR_WT . BR_WT . '
                          </td>
                        </tr>
                      </table>
                    </form>
                  </div>';
            break;
          case 458: 
            echo '<h2>Einstellungen für die Anzeige der zu bearbeitenden Belegungsdaten im Tool Kurse Mitarbeiter</h2>' . BR;
            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 771, 375));
            break;
        } 
      }
    }

    

    
    protected function getNachlassSettings($pWriteReason2Bem = false)
    {
      $result = '';
      $result .= '<tr><td>&nbsp;</td></tr>'
                  . '<tr class="settings4Nachlass">' . "<td  height='25' valign='bottom'>\n"
                    . "<font class='text_main_menu'><b>Einstellungen für das Bearbeiten der Nachlassdaten</b></font>\n"
                 . '</td></tr>' . "\n";
      
      if (!is_null($pWriteReason2Bem)) {
        $result .= '<tr class="settings4Nachlass">
                      <td valign="top" height="25">
                        <font class="text_main_menu">Nachlassgrund in interne Bemerkung schreiben:</font>' . "\n"
                        . $this->getInfoPopUp('Ist dieser Haken gesetzt, so wird der Nachlassgrund in die interne Bemerkung zur Belegung eingetragen. Er wird an die bisher bestehenden '
                                            . 'Einträge angehängt.', 'Info') . "\n"
                     . '</td>
                      <td>' . "\n"
                        . '<input type="checkbox" value="1" name="writeNachlassGrund2IntBemerkung"' . ($pWriteReason2Bem ? ' checked' : '') . '>' . "\n"
                      . '</td>
                    </tr>' . "\n";
      }

      return $result;
    }

    

    
    private function getMitveranstalterSettings($objsettings)
    {
      $result = '';
      if (DBWorkBASysSettings::isInnsbruckStadt()) {
        $result .= '<tr><td>&nbsp;</td></tr>'
            . '<tr>' . "<td  height='25' valign='bottom'>"
            . "<font class='text_main_menu'><b>Teilnehmernummern der Stellvertreter-Teilnehmer für Mitveranstalter-Kurse</b></font>"
            . '</td></tr>';

        $result .= '<tr><td>Männlich aus Innsbruck:</td><td><input name="tnr_maennlich_innsbruck" value="' . CleanOperations::cleanInt($objsettings->tnr_maennlich_innsbruck) . '"></td><tr>';
        $result .= '<tr><td>Männlich von Auswärts:</td><td><input name="tnr_maennlich_auswaerts" value="' . CleanOperations::cleanInt($objsettings->tnr_maennlich_auswaerts) . '"></td><tr>';
        $result .= '<tr><td>Weiblich aus Innsbruck:</td><td><input name="tnr_weiblich_innsbruck" value="' . CleanOperations::cleanInt($objsettings->tnr_weiblich_innsbruck) . '"></td><tr>';
        $result .= '<tr><td>Weiblich von Auswärts:</td><td><input name="tnr_weiblich_auswaerts" value="' . CleanOperations::cleanInt($objsettings->tnr_weiblich_auswaerts) . '"></td><tr>';
      }

      return $result;
    }
  }